# Billing

Retrieve the current credit balance for your account.

## HTTP Request

`GET` `{API_URL}/users/credits`

## Response Attributes

#### data `dict`

Returns the `data` object, containing the user credit balance in the field `available_balance`.

#### status `string`

Indicates the result of the request to get your credit balance. success signifies success, while failed indicates an error.

#### message `string`

A description of the status of the request.

## Example

#### Request

```bash
curl -X GET '{API_URL}/users/credits'
-H 'Authorization: Bearer {TOKEN/KEY}'
```

#### Response

```json
{
    "data": {
        "available_balance": "1228.55600"
    },
    "message": "User credit balance successfully retrieved",
    "status": "success"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nebulablock.com/overview/platform_api/get_credit_balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
